This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1291983 - [GSS](6.4.z) ConcurrentModificationException in MediaTypeMap.convert()
[GSS](6.4.z) ConcurrentModificationException in MediaTypeMap.convert()
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RESTEasy (Show other bugs)
6.4.4
Unspecified Unspecified
high Severity unspecified
: CR1
: EAP 6.4.7
Assigned To: Chao Wang
Peter Mackay
:
Depends On:
Blocks: 1313482 eap647-payload 1293676
  Show dependency treegraph
 
Reported: 2015-12-16 01:41 EST by Shay Matasaro
Modified: 2017-01-17 06:58 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1313482 (view as bug list)
Environment:
Last Closed: 2017-01-17 06:58:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RESTEASY-1139 Major Closed Another ConcurrentModificationException on parallel deployments in InterceptorRegistry 2016-10-20 05:01 EDT
JBoss Issue Tracker RESTEASY-762 Major Closed ConcurrentModificationException in MediaTypeMap.convert() 2016-10-20 05:01 EDT
Red Hat Knowledge Base (Solution) 2191771 None None None 2016-03-07 15:33 EST

  None (edit)
Description Shay Matasaro 2015-12-16 01:41:13 EST
https://issues.jboss.org/browse/RESTEASY-762


looks like this was resolved upstream and an upgrade to RestEasy 3 would resolve the issue
Comment 12 Peter Mackay 2016-03-09 06:54:22 EST
Verified with EAP 6.4.7.CP.CR2.
Comment 13 Petr Penicka 2017-01-17 06:58:43 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.